Get Job List
/jobs
Returns job list for the given query parameters, including job status, type, and input and output information. If no query parameter is specified, returns a list of all the jobs.
Request
-
caseSensitive:
Flag to determine if filters should be case-sensitive. Default:
false. Set to true for case-sensitive matching, false for case-insensitive matching. -
fullAppName:
Application name for which to retrieve job records.
-
fullDatabaseName:
Database name for which to retrieve job records.
-
jobDateFrom:
Filters job records starting from this date and time (inclusive). Default:
Empty. -
jobDateTo:
Filters job records up to this date and time (inclusive). Default:
Empty. -
jobTypeSearch:
Job type for which to retrieve job records. Default:
ALL. -
keyword:
Filter the job records using a keyword that may be part of the job ID, application name, database name, job file name (script), or username. If this parameter and fullAppName are both specified, fullAppName takes precedence.
-
limit:
Maximum number of jobs to fetch.
-
offset:
Number of jobs to omit from the start of the result set.
-
orderBy:
Order By specification. By default, jobs records are returned by job IDs in descending order.
-
searchBy:
Defines the specific field to apply the search on. Supported fields:
job_ID(Job ID),appName(Application Name),dbName(Database Name),jobtype(Job Type),script(Script Name),userName(User Name). Default:ALL. Default behavior: If field is not provided, the search is applied across all supported fields. -
systemjobs:
Include backup jobs in jobs records.
Response
200 Response
OK
Job records returned successfully.
500 Response
Internal Server Error.
503 Response
Service Unavailable
Naming exception or server exception.
Examples
The following example shows how to return a filtered Essbase jobs list.
This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.
Script with cURL Command
The following example gets up to 10 jobs that use the keyword ASO_Sample.xlsx.
curl -X GET "https://myserver.example.com:9001/essbase/rest/v1/jobs?keyword=ASO_Sample.xlsx&offset=0&limit=10&systemjobs=false" -H "accept: application/json" -u %User%:%Password%Example of Response Body
Two jobs were returned that involved ASO_Sample.xlsx.
{
"items": [
{
"job_ID": 3,
"appName": "ASOSamp",
"dbName": "Basic",
"jobType": "Import Excel",
"jobfileName": "ASO_Sample.xlsx",
"userName": "power1",
"startTime": 1574812065000,
"endTime": 1574812135000,
"statusCode": 200,
"statusMessage": "Completed",
"links": [
{
"rel": "canonical",
"href": "https://myserver.example.com:9001/essbase/rest/v1/jobs/3",
"method": "GET"
},
{
"rel": "post",
"href": "https://myserver.example.com:9001/essbase/rest/v1/jobs/3",
"method": "POST"
}
]
},
{
"job_ID": 2,
"appName": "ASOSamp",
"dbName": "Basic",
"jobType": "Import Excel",
"jobfileName": "ASO_Sample.xlsx",
"userName": "power1",
"startTime": 1574810127000,
"endTime": 1574810180000,
"statusCode": 200,
"statusMessage": "Completed",
"links": [
{
"rel": "canonical",
"href": "https://myserver.example.com:9001/essbase/rest/v1/jobs/2",
"method": "GET"
},
{
"rel": "post",
"href": "https://myserver.example.com:9001/essbase/rest/v1/jobs/2",
"method": "POST"
}
]
}
],
"offset": 0,
"limit": 10,
"count": 2,
"totalResults": 2,
"hasMore": false
}Script with cURL Command
The following example gets all jobs for the Ratings cube in the application named Facility.
call properties.bat
curl -X GET "https://192.0.2.1:443/essbase/rest/v1/jobs?fullAppName=Facility&fullDatabaseName=Rating&links=none" -H "accept: application/json" -u %User%:%Password%
Example of Response Body
Three jobs were returned.
{
"items" : [ {
"job_ID" : 128,
"appName" : "Facility",
"dbName" : "Rating",
"jobType" : "Export Data",
"jobfileName" : null,
"userName" : "power1",
"startTime" : 1712778858000,
"endTime" : 1712778858000,
"statusCode" : 200,
"statusMessage" : "Completed"
}, {
"job_ID" : 127,
"appName" : "Facility",
"dbName" : "Rating",
"jobType" : "Data Load",
"jobfileName" : "[\"\"]",
"userName" : "power1",
"startTime" : 1712697441000,
"endTime" : 1712697441000,
"statusCode" : 200,
"statusMessage" : "Completed"
}, {
"job_ID" : 126,
"appName" : "Facility",
"dbName" : "Rating",
"jobType" : "Clear Data",
"jobfileName" : null,
"userName" : "power1",
"startTime" : 1712697424000,
"endTime" : 1712697424000,
"statusCode" : 200,
"statusMessage" : "Completed"
} ],
"offset" : 0,
"limit" : 50,
"count" : 3,
"totalResults" : 3,
"hasMore" : false
}